Bug 823847 - Review Request: simple-jndi - A JNDI implementation
Review Request: simple-jndi - A JNDI implementation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 823889
  Show dependency treegraph
 
Reported: 2012-05-22 06:08 EDT by gil cattaneo
Modified: 2012-07-29 10:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 18:23:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mizdebsk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-05-22 06:08:31 EDT
Spec URL: http://gil.fedorapeople.org/simple-jndi.spec
SRPM URL: http://gil.fedorapeople.org/simple-jndi-0.11.4.1-1.fc16.src.rpm
Description: Simple-JNDI is intended to solve two problems. The first is
that of finding a container independent way of opening a
database connection, the second is to find a good way of
specifying application configurations.
1. Unit tests or prototype code often need to emulate the
  environment within which the code is expected to run.
  A very common one is to get an object of type
  javax.sql.DataSource from JNDI so a java.sql.Connection
  to your database of choice may be opened.
2. Applications need configuration; a JNDI implementation
  makes a handy location for configuration values. Either
  as a globally available system, or via IoC through the
  use of some kind of JNDI configuration facade (see gj-config).
A solution: simple implementation of JNDI. It is entirely
library based, so no server instances are started, and it
sits upon Java .properties files, XML files or Windows-style
.ini files, so it is easy to use and simple to understand.
The files may be either on the file system or in the classpath.
Fedora Account System Username: gil
Comment 1 gil cattaneo 2012-05-22 06:13:17 EDT
tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4093655
Comment 2 Mikolaj Izdebski 2012-07-10 09:04:37 EDT
I am taking this review.
Comment 3 Mikolaj Izdebski 2012-07-10 09:20:04 EDT
Fails to build in mock because some tests fail.

>    [junit] Running org.osjava.sj.memory.SharedMemoryTest
>    [junit] Testsuite: org.osjava.sj.memory.SharedMemoryTest
>    [junit] Tests run: 2, Failures: 0, Errors: 1, Time elapsed: 0.071 sec
>    [junit] Tests run: 2, Failures: 0, Errors: 1, Time elapsed: 0.071 sec
>    [junit]
>    [junit] Testcase: testSharedMemory took 0.018 sec
>    [junit] Testcase: testSjn73 took 0.011 sec
>    [junit]     Caused an ERROR
>    [junit] Invalid subcontext 'path' in context ''
>    [junit] javax.naming.NamingException: Invalid subcontext 'path' in context ''
>    [junit]     at org.osjava.sj.jndi.AbstractContext.lookup(AbstractContext.java:273)
>    [junit]     at org.osjava.sj.jndi.AbstractContext.lookup(AbstractContext.java:305)
>    [junit]     at javax.naming.InitialContext.lookup(InitialContext.java:411)
>    [junit]     at org.osjava.sj.jndi.DelegatingContext.lookup(DelegatingContext.java:60)
>    [junit]     at javax.naming.InitialContext.lookup(InitialContext.java:411)
>    [junit]     at org.osjava.sj.memory.SharedMemoryTest.testSjn73(SharedMemoryTest.java:93)
Comment 4 gil cattaneo 2012-07-10 10:10:39 EDT
strange  here don't happen 
http://koji.fedoraproject.org/koji/taskinfo?taskID=4230442
Comment 5 Mikolaj Izdebski 2012-07-16 07:31:30 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0: http://osjava.googlecode.com/svn/dist/releases/official
     /simple-jndi/simple-jndi-0.11.4.1-src.tar.gz (simple-
     jndi-0.11.4.1-src.tar.gz) Source1: simple-jndi-%{version}.pom (simple-
     jndi-%{version}.pom) Patch0: simple-jndi-0.11.4.1-jdk7.patch (simple-
     jndi-0.11.4.1-jdk7.patch)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


No blocker issues found.

**************
** APPROVED **
**************
Comment 6 gil cattaneo 2012-07-16 07:36:32 EDT
New Package SCM Request
=======================
Package Name: simple-jndi 
Short Description: A JNDI implementation
Owners: gil
Branches: f17
InitialCC: java-sig
Comment 7 Gwyn Ciesla 2012-07-16 11:04:29 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-07-16 12:44:59 EDT
simple-jndi-0.11.4.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/simple-jndi-0.11.4.1-1.fc17
Comment 9 Fedora Update System 2012-07-19 05:08:53 EDT
simple-jndi-0.11.4.1-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-07-26 18:23:49 EDT
simple-jndi-0.11.4.1-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.